Bug 1460439 - installied firefox under wine with "winetricks firefox" is unable to access the internet.
installied firefox under wine with "winetricks firefox" is unable to access ...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-10 08:53 EDT by Joachim Backes
Modified: 2017-06-13 01:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-13 01:16:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Backes 2017-06-10 08:53:04 EDT
Description of problem:
I'm running f26 with wine-2.9-1.fc26.x86_64. Then I installed firefox with "winetricks" firefox (installed in 
~/.wine/drive_c/Program Files/Mozilla Firefox/firefox.exe)

But this firefox (started with command "wine ~/.wine/drive_c/Program Files/Mozilla Firefox/firefox.exe) is  unable to access the internet: it hangs during trying to connect to the given IP address. I think this is not a FF problem, but a wine problem.

Gettings tons of output like:


wine ".wine/drive_c/Program Files/Mozilla Firefox/firefox.exe"
fixme:winediag:start_process Wine Staging 2.9 is a testing version containing experimental patches.
fixme:winediag:start_process Please mention your exact version when filing bug reports on winehq.org.
err:winedevice:async_create_driver failed to create driver L"Null": c0000142
fixme:dwmapi:DwmIsCompositionEnabled 0x6d5d3018
fixme:iphlpapi:NotifyIpInterfaceChange (family 0, callback 0x6a0cb608, context 0x9388a8, init_notify 0, handle 0x116e784): stub
wine: configuration in '/home/backes/.wine' has been updated.
fixme:msvcrt:_configure_wide_argv (1) stub
fixme:msvcrt:_initialize_wide_environment stub
fixme:dwmapi:DwmIsCompositionEnabled 0x2f9f1bc
fixme:ole:CoInitializeSecurity (0x33f74c,-1,(nil),(nil),0,2,(nil),0,(nil)) - stub!
fixme:ole:GlobalOptions_Set (0x1653b8)->(1 2)
fixme:process:SetProcessDEPPolicy (1): stub
fixme:iphlpapi:NotifyAddrChange (Handle 0x98fe854, overlapped 0x98fe860): stub
fixme:winsock:WSCGetProviderPath ({e70f1aa0-ab8b-11cf-8ca3-00805f48a192} 0xab5e668 0xab5e64c 0xab5e630) Stub!
fixme:winsock:WSCGetProviderPath ({e70f1aa0-ab8b-11cf-8ca3-00805f48a192} 0xab5e668 0xab5e64c 0xab5e630) Stub!
fixme:winsock:WSCGetProviderPath ({11058240-be47-11cf-95c8-00805f48a192} 0xab5e668 0xab5e64c 0xab5e630) Stub!
fixme:winsock:WSCGetProviderPath ({11058241-be47-11cf-95c8-00805f48a192} 0xab5e668 0xab5e64c 0xab5e630) Stub!
fixme:winsock:WSCGetProviderPath ({11058241-be47-11cf-95c8-00805f48a192} 0xab5e668 0xab5e64c 0xab5e630) Stub!
fixme:ntdll:EtwRegisterTraceGuidsW (0x13c4dcc, 0xa7ea600, {509962e0-406b-46f4-99ba-5a009f8d2225}, 3, 0xa7b2f80, (null), (null), 0xa7ea630): stub
fixme:ntdll:EtwRegisterTraceGuidsW   register trace class {a3da04e0-57d7-482a-a1c1-61da5f95bacb}
fixme:ntdll:EtwRegisterTraceGuidsW   register trace class {917b96b1-ecad-4dab-a760-8d49027748ae}
fixme:ntdll:EtwRegisterTraceGuidsW   register trace class {26d1e091-0ae7-4f49-a554-4214445c505c}
fixme:module:load_dll Loader redirect from L"wined3d.dll" to L"wined3d-csmt.dll"
fixme:d3d:wined3d_dxtn_init Wine cannot find the txc_dxtn library, DXTn software support unavailable.
fixme:wbemprox:client_security_SetBlanket 0xf5d6682c, 0x16ce80, 10, 0, (null), 3, 3, (nil), 0x00000000
fixme:wbemprox:client_security_Release 0xf5d6682c
fixme:mountmgr:harddisk_ioctl Unsupported ioctl 2d1400 (device=2d access=0 func=500 method=0)
fixme:mountmgr:harddisk_ioctl Unsupported ioctl 2d1400 (device=2d access=0 func=500 method=0)
fixme:ntdll:NtLockFile I/O completion on lock not implemented yet
fixme:wpc:WindowsParentalControls_QueryInterface unsupported iface {28b4d88b-e072-49e6-804d-26edbe21a7b9}
fixme:ole:CoCreateInstanceEx no instance created for interface {28b4d88b-e072-49e6-804d-26edbe21a7b9} of class {e77cc89b-7401-4c04-8ced-149db35add04}, hres is 0x80004002
fixme:d2d:d2d_factory_init Ignoring factory type 0x1.
fixme:msctf:ThreadMgrSource_AdviseSink (0x19e510) Unhandled Sink: {71c6e74e-0f28-11d8-a82a-00065b84435c}
fixme:imm:ImmGetDescriptionW (0x4090409, (nil), 0): semi stub
fixme:imm:ImmGetDescriptionW (0x4090409, 0xc2d5a88, 9): semi stub
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
fixme:shcore:GetProcessDpiAwareness (0xffffffff, 0x33f2e8): stub
fixme:wtsapi:WTSRegisterSessionNotification Stub 0x3006c 0x00000000
fixme:wtsapi:WTSRegisterSessionNotification Stub 0x30064 0x00000000
fixme:pulse:AudioSessionControl_SetGroupingParam (0x1a5648)->({33502b47-5022-441c-becd-3bb30c3d2436}, (null)) - stub
fixme:imm:ImmGetOpenStatus (0x1a1ff8): semi-stub
fixme:imm:ImmReleaseContext (0x3006c, 0x1a1ff8): stub
fixme:advapi:CreateRestrictedToken (0x308, 0x2, 1, 0xe331b58, 19, 0xdd24010, 0, (nil), 0x7fbdf64): stub
fixme:ntdll:NtSetInformationToken TokenIntegrityLevel stub!
fixme:ntdll:NtSetInformationToken TokenIntegrityLevel stub!
[Parent 8] WARNING: Failed to launch tab subprocess: file c:/builds/moz2_slave/m-rel-w32-00000000000000000000/build/src/ipc/glue/GeckoChildProcessHost.cpp, line 603
fixme:advapi:CreateRestrictedToken (0x310, 0x2, 1, 0xe331da0, 19, 0xdd24b50, 0, (nil), 0x7fbdf64): stub
fixme:ntdll:NtSetInformationToken TokenIntegrityLevel stub!
fixme:ntdll:NtSetInformationToken TokenIntegrityLevel stub!
[Parent 8] WARNING: Failed to launch tab subprocess: file c:/builds/moz2_slave/m-rel-w32-00000000000000000000/build/src/ipc/glue/GeckoChildProcessHost.cpp, line 603
fixme:win:RegisterTouchWindow (0x30064 00000002): stub
fixme:ras:RasEnumConnectionsW (0x1b18c8,0x338ddc,0x76c623e4),stub!
fixme:ras:RasEnumConnectionsW RAS support is not implemented! Configure program to use LAN connection/winsock instead!
fixme:service:svcctl_EnumServicesStatusW resume index not supported
fixme:ras:RasEnumEntriesW ((nil),(null),0x1b4848,0x33960c,0x1b4534),stub!
fixme:win:FlashWindowEx 0x33ea34 - semi-stub
fixme:msctf:SetInputScopes STUB: 0x30064 ... (null) (null)
fixme:msctf:SetInputScopes STUB: 0x30064 ... (null) (null)
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:ras:RasEnumConnectionsW (0x1b18c8,0xf0fd620,0x76c623e4),stub!
fixme:ras:RasEnumConnectionsW RAS support is not implemented! Configure program to use LAN connection/winsock instead!
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:ras:RasEnumConnectionsW (0x1b18c8,0xf0fd620,0x76c623e4),stub!
fixme:ras:RasEnumConnectionsW RAS support is not implemented! Configure program to use LAN connection/winsock instead!
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:ras:RasEnumConnectionsW (0x1b18c8,0xf0fd620,0x76c623e4),stub!
fixme:ras:RasEnumConnectionsW RAS support is not implemented! Configure program to use LAN connection/winsock instead!
fixme:service:svcctl_EnumServicesStatusW resume index not supported
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:ras:RasEnumConnectionsW (0x1b18c8,0xf0fd620,0x76c623e4),stub!
fixme:ras:RasEnumConnectionsW RAS support is not implemented! Configure program to use LAN connection/winsock instead!
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:ras:RasEnumConnectionsW (0x1b18c8,0xf0fd620,0x76c623e4),stub!
fixme:ras:RasEnumConnectionsW RAS support is not implemented! Configure program to use LAN connection/winsock instead!
fixme:ras:RasEnumConnectionsW (0x1b18c8,0xf0fd620,0x76c623e4),stub!
fixme:ras:RasEnumConnectionsW RAS support is not implemented! Configure program to use LAN connection/winsock instead!
fixme:service:svcctl_EnumServicesStatusW resume index not supported
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
fixme:dnsapi:dns_map_options option DNS_QUERY_DONT_RESET_TTL_VALUES not implemented
^Cfixme:console:CONSOLE_DefaultHandler Terminating pro
...
...
Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.See description
2.
3.

Actual results:


Expected results:
The desired address is opened

Additional info:
Comment 1 Michael Cronenworth 2017-06-12 15:10:47 EDT
I cannot reproduce this. Firefox is able to browse to many different Internet websites without error.

Can you please try with a fresh wine prefix?
Comment 2 Joachim Backes 2017-06-13 01:16:55 EDT
Installing FF with a fresh wineprefix solves the problem. Sorry for noise.

Note You need to log in before you can comment on or make changes to this bug.